.TH wxAuiManagerEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxAuiManagerEvent \- See external documentation: wxAuiManagerEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxAuiManagerEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIaui_pane_button\fR, \fIaui_pane_close\fR, \fIaui_pane_maximize\fR, \fIaui_pane_restore\fR, \fIaui_render\fR, \fIaui_find_manager\fR
.RE
.LP
See also the message variant #wxAuiManager{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxAuiManagerEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
setManager(This::wxAuiManagerEvent(), Mgr::wxAuiManager() (see module wxAuiManager)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventsetmanager>\&.
.RE
.LP
.B
getManager(This::wxAuiManagerEvent()) -> wxAuiManager() (see module wxAuiManager)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventgetmanager>\&.
.RE
.LP
.B
setPane(This::wxAuiManagerEvent(), P::wxAuiPaneInfo() (see module wxAuiPaneInfo)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventsetpane>\&.
.RE
.LP
.B
getPane(This::wxAuiManagerEvent()) -> wxAuiPaneInfo() (see module wxAuiPaneInfo)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventgetpane>\&.
.RE
.LP
.B
setButton(This::wxAuiManagerEvent(), B::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventsetbutton>\&.
.RE
.LP
.B
getButton(This::wxAuiManagerEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventgetbutton>\&.
.RE
.LP
.B
setDC(This::wxAuiManagerEvent(), Pdc::wxDC() (see module wxDC)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventsetdc>\&.
.RE
.LP
.B
getDC(This::wxAuiManagerEvent()) -> wxDC() (see module wxDC)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventgetdc>\&.
.RE
.LP
.B
veto(This::wxAuiManagerEvent()) -> ok
.br
.RS
.LP
Equivalent to veto(This, [])\&.
.RE
.LP
.B
veto(This::wxAuiManagerEvent(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {veto, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventveto>\&.
.RE
.LP
.B
getVeto(This::wxAuiManagerEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventgetveto>\&.
.RE
.LP
.B
setCanVeto(This::wxAuiManagerEvent(), Can_veto::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventsetcanveto>\&.
.RE
.LP
.B
canVeto(This::wxAuiManagerEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauimanagerevent\&.html#wxauimanagereventcanveto>\&.
.RE
